# CWP areal coding system
# https://www.fao.org/cwp-on-fishery-statistics/handbook/general-concepts/main-water-areas/fr/#c737133

convert_to_CWP_grid = function (lon, lat, grid_type_code = "grid_5x5") 

# grid_type_codes: "grid_1x1", "grid_5x5", "grid_10x10", "grid_20x20", "grid_30x30"
  
{
  q = NA
  if (lon >= 0 && lat >= 0) 
    q = 1
  else if (lon >= 0 && lat < 0) 
    q = 2
  else if (lon < 0 && lat < 0) 
    q = 3
  else if (lon < 0 && lat >= 0) 
    q = 4
  lat = floor(abs(lat))
  lon = floor(abs(lon))
  latS = 1
  lonS = 1
  grid = "5"
  if (grid_type_code == "grid_5x5") {
    lonS = latS = 5
    grid = "6"
  }
  else if (grid_type_code == "grid_10x10") {
    lonS = latS = 10
    grid = "7"
  }
  else if (grid_type_code == "grid_20x20") {
    lonS = latS = 20
    grid = "8"
  }
  else if (grid_type_code == "grid_30x30") {
    lonS = latS = 30
    grid = "9"
  }
  lat = floor(lat/latS) * latS
  lon = floor(lon/lonS) * lonS
  return(paste0(grid, q, stri_pad(lat, 2, pad = "0"), stri_pad(lon, 3, pad = "0")))
}

