# General options
options(scipen = 10000)

# Install pacman
if(!require(pacman)){
  install.packages("pacman")
  suppressPackageStartupMessages(library(pacman,quietly = TRUE))
}

# Load/install libraries
p_load("this.path", "data.table")

# To set the working directory where the scripts are located
setwd(here())

# IOTC Data Reference Catalogue ####

# Available from https://data.iotc.org/reference/latest/index.html

# https://data.iotc.org/reference/*<version>*/domain/*<domain>*/codelists/*<codelist name>*_*<codelist_version>*.csv

# domains: "admin", "biology", "data", "fisheries", "legacy", "socio_economics"

# Example of IOTC fishing fleets
# Download local copy of the CSV file
download.file(url = "https://data.iotc.org/reference/latest/domain/admin/codelists/FLEETS_1.0.0.csv", destfile = "cl_iotc_fleets.csv")

# Read the local copy
cl_fleets = fread("cl_iotc_fleets.csv")

# Direct reading
cl_fleets = fread("https://data.iotc.org/reference/latest/domain/admin/codelists/FLEETS_1.0.0.csv")

# Example of IOTC species list

# Download local copy of the CSV file
download.file("https://data.iotc.org/reference/latest/domain/biology/codelists/SPECIES_1.0.0.csv", destfile = "cl_iotc_species.csv", mode = "wb")

# Read the local copy
cl_species = fread("cl_iotc_species.csv")

# Direct reading
cl_species = fread("https://data.iotc.org/reference/latest/domain/biology/codelists/SPECIES_1.0.0.csv")

# Fisheries Data Interoperability GitHub Repository ####

# Available from https://github.com/fdiwg/fdi-codelists/tree/main/regional/iotc
# Need to go to the page of the desired code list and click on the "Raw" tab to get the proper url

# Example of IOTC species code list
cl_species = fread("https://raw.githubusercontent.com/fdiwg/fdi-codelists/refs/heads/main/regional/iotc/biology/cl_species.csv")


