# General options
options(scipen = 10000)

# Install pacman
if(!require(pacman)){
  install.packages("pacman")
  suppressPackageStartupMessages(library(pacman,quietly = TRUE))
}

# Load/install libraries
p_load("this.path", "data.table", "stringi")

# To set the working directory where the scripts are located
setwd(here())

# Functions
source("function_convert_position_to_cwp_grid.R")

# Adding columns with CWP11 and CWP55 grids

# Generating a table of 100 fishing sets
LONG_RANDOM_VALUES = runif(100, 20, 130)
LAT_RANDOM_VALUES = runif(100, -25, 25)

logbook = data.table(SET = paste0("SET", 1:100), LONG_RANDOM_VALUES, LAT_RANDOM_VALUES)

logbook[, CWP11 := convert_to_CWP_grid(LONG_RANDOM_VALUES, LAT_RANDOM_VALUES, "grid_1x1"), by = .(SET)]

logbook[, CWP55 := convert_to_CWP_grid(LONG_RANDOM_VALUES, LAT_RANDOM_VALUES, "grid_5x5"), by = .(SET)]



