# General options
options(scipen = 10000)

# Install pacman
if(!require(pacman)){
  install.packages("pacman")
  suppressPackageStartupMessages(library(pacman,quietly = TRUE))
}

# Load/install libraries
p_load("this.path", "data.table", "stringi", "openxlsx")

# To set the working directory where the scripts are located
setwd(here())

# Functions
source("function_convert_position_to_cwp_grid.R")

# Read the XLSX spreadsheet
example = read.xlsx("../VESSEL POSITION ON MAP-EXCEL.xlsx", sheet = "Sheet1")

# Convert example to a data.table
example = data.table(example)

# Convert empty columns from NUMERIC to CHARACTER
example[, `Grid.(1x1)` := as.character(`Grid.(1x1)`)]
example[, `Grid.(5x5)` := as.character(`Grid.(5x5)`)]

# Compute CWP1x1 grid
example[, `Grid.(1x1)` := convert_to_CWP_grid(LONG, LAT, "grid_1x1"), by = .(VESSEL, TRIP, SET)]

# Alternative method to create a NEW column Grid11
example[, Grid11 := convert_to_CWP_grid(LONG, LAT, "grid_1x1"), by = .(VESSEL, TRIP, SET)]

# Compute CWP5x5 grid
example[, `Grid.(5x5)` := convert_to_CWP_grid(LONG, LAT, "grid_5x5"), by = .(VESSEL, TRIP, SET)]

# Remove any column
example[, Grid11 := NULL]



